#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.12
visibility:           public
id:                   random-source-0.3.0.12-BXgGJK6kB8Y7Llj3bmjo98
key:                  random-source-0.3.0.12-BXgGJK6kB8Y7Llj3bmjo98
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  57cd9ecdf08b8d31d06c7165be3da0d1
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.12
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.12
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-random-source
hs-libraries:         HSrandom-source-0.3.0.12-BXgGJK6kB8Y7Llj3bmjo98
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-954TYPPjqPXEgMehmuLxNv
    mersenne-random-pure64-0.2.2.0-7zbIJHQ1JMcEdhEiE6TXPl mtl-2.2.2
    mwc-random-0.15.0.2-GPrDgGfGjzW5nApTHQlxUd
    primitive-0.7.4.0-JO2L1m8yKpKHqM3qF2iOEl
    random-1.2.1.1-8erLhCi2BjJFOfZWbNb3er
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.3-5303VnpJbP5DuVbg2vhM5y template-haskell-2.17.0.0
    th-extras-0.0.0.6-DklLmphiO7mGYfGT5WgEUB

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

